[Testing Update] 2019-06-08 - KDE-Git, Browsers, KDE Apps, Mesa, Haskell, Python

Hello community,

I am happy to announce another Testing Update!

This update holds the following changes:

  • KDE-Git packages got added. You may check them out via our new ISOs
  • With this we also released Manjaro 18.1.0-rc1. Get the latest ISOs from OSDN: XFCE, KDE, Gnome
  • Palemoon is now at 28.5.2
  • Firefox got a new development release
  • KDE Apps are now at 19.04.2
  • Mesa is now at 19.0.6
  • The usual haskell and python package updates

Give us the usual feedback and let us know what you think about this update.


Current supported Kernels

  • linux316 3.16.67
  • linux318 3.18.140 [EOL] (it is now really EOL!)
  • linux44 4.4.180 (no legacy nvidia-340 module!)
  • linux49 4.9.179
  • linux414 4.14.123
  • linux419 4.19.48
  • linux420 4.20.17 [EOL]
  • linux50 5.0.21 [EOL]
  • linux51 5.1.7
  • linux51 5.2-rc3 (few extramodules build, but not all yet!)
  • linux419-rt 4.19.37_rt20
  • linux50-rt 5.0.14_rt9

Package Updates (Sat Jun 8 09:44:33 CEST 2019)

  • testing community x86_64: 399 new and 399 removed package(s)
  • testing core x86_64: 1 new and 1 removed package(s)
  • testing extra x86_64: 252 new and 250 removed package(s)
  • testing multilib x86_64: 5 new and 5 removed package(s)


:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-06           2019-06-08
-------------------------------------------------------------------------------
                           baloo-git5.59.0.r2576.gbe59ea53-15.59.0.r2580.g26e6e5fb-1
                        bluez-qt-git5.59.0.r537.g3ba099f-15.59.0.r538.g1a5660a-1
                          breeze-git5.16.80.r1845.g8d768ab5-15.16.80.r1857.g092d4460-1
                    breeze-icons-git5.59.0.r1335.ge759724f-15.59.0.r1337.g6227d63e-1
        deepin-file-manager-nomodule            4.8.6.1-1            4.8.6.2-1
                   deepin-session-ui            4.9.8-1.1            4.9.9-1.1
                        discover-git5.16.80.r7268.g89681ad4-15.16.80.r7269.gb02ddf69-1
                         drkonqi-git5.16.80.r338.g8952ab6d-15.16.80.r342.g802d7800-1
                   kfilemetadata-git5.59.0.r616.gace5b41-15.59.0.r617.g553f967-1
                     kinfocenter-git5.16.80.r1467.g275edf6-15.16.80.r1472.g5ec5c92-1
                             kio-git5.59.0.r3445.g3933e9bf-15.59.0.r3446.g69754bfe-1
                       kirigami2-git5.59.0.r1840.g041393a-15.59.0.r1842.gc472391-1
                      knetattach-git5.16.80.r6656.gf5ad1bfc-15.16.80.r6682.ge2be1ed6-1
                  knotifications-git5.59.0.r427.g8a586a2-15.59.0.r428.ge4461e0-1
                  kwidgetsaddons-git5.59.0.r547.g6de1fe2-15.59.0.r549.gc2c792f-1
                            kwin-git5.16.80.r17005.gc62650394-15.16.80.r17013.g2c088894b-1
                                 nim             0.19.6-0             0.20.0-0
                          oxygen-git5.16.80.r4285.g3d9f0826-15.16.80.r4289.g0be29d68-1
                        palemoon-bin             28.5.1-1             28.5.2-1
                    palemoon-i18n-ar             28.5.1-1             28.5.2-1
                    palemoon-i18n-bg             28.5.1-1             28.5.2-1
                    palemoon-i18n-cs             28.5.1-1             28.5.2-1
                    palemoon-i18n-da             28.5.1-1             28.5.2-1
                    palemoon-i18n-de             28.5.1-1             28.5.2-1
                    palemoon-i18n-el             28.5.1-1             28.5.2-1
                 palemoon-i18n-en-gb             28.5.1-1             28.5.2-1
                 palemoon-i18n-es-ar             28.5.1-1             28.5.2-1
                 palemoon-i18n-es-es             28.5.1-1             28.5.2-1
                 palemoon-i18n-es-mx             28.5.1-1             28.5.2-1
                    palemoon-i18n-fi             28.5.1-1             28.5.2-1
                    palemoon-i18n-fr             28.5.1-1             28.5.2-1
                    palemoon-i18n-gl             28.5.1-1             28.5.2-1
                    palemoon-i18n-hr             28.5.1-1             28.5.2-1
                    palemoon-i18n-hu             28.5.1-1             28.5.2-1
                    palemoon-i18n-id             28.5.1-1             28.5.2-1
                    palemoon-i18n-is             28.5.1-1             28.5.2-1
                    palemoon-i18n-it             28.5.1-1             28.5.2-1
                    palemoon-i18n-ja             28.5.1-1             28.5.2-1
                    palemoon-i18n-kn             28.5.1-1             28.5.2-1
                    palemoon-i18n-ko             28.5.1-1             28.5.2-1
                    palemoon-i18n-nl             28.5.1-1             28.5.2-1
                    palemoon-i18n-pl             28.5.1-1             28.5.2-1
                 palemoon-i18n-pt-br             28.5.1-1             28.5.2-1
                 palemoon-i18n-pt-pt             28.5.1-1             28.5.2-1
                    palemoon-i18n-ro             28.5.1-1             28.5.2-1
                    palemoon-i18n-ru             28.5.1-1             28.5.2-1
                    palemoon-i18n-sk             28.5.1-1             28.5.2-1
                    palemoon-i18n-sl             28.5.1-1             28.5.2-1
                    palemoon-i18n-sr             28.5.1-1             28.5.2-1
                 palemoon-i18n-sv-se             28.5.1-1             28.5.2-1
                    palemoon-i18n-tl             28.5.1-1             28.5.2-1
                    palemoon-i18n-tr             28.5.1-1             28.5.2-1
                    palemoon-i18n-uk             28.5.1-1             28.5.2-1
                    palemoon-i18n-vi             28.5.1-1             28.5.2-1
                 palemoon-i18n-zh-cn             28.5.1-1             28.5.2-1
                 palemoon-i18n-zh-tw             28.5.1-1             28.5.2-1
                  plasma-desktop-git5.16.80.r6656.gf5ad1bfc-15.16.80.r6682.ge2be1ed6-1
                       plasma-nm-git5.16.80.r2573.g179cd8ba-15.16.80.r2587.g2a82ee86-1
                      plasma-sdk-git5.16.80.r2044.gdd96055-15.16.80.r2047.g0ae7556-1
          plasma-wayland-session-git5.16.80.r7597.gb059097a-15.16.80.r7626.g3e4bd25b-1
                plasma-workspace-git5.16.80.r7597.gb059097a-15.16.80.r7626.g3e4bd25b-1
     plasma-workspace-wallpapers-git5.16.80.r138.g212a977-15.16.80.r147.gce74d62-1
              qqc2-desktop-style-git5.59.0.r266.g62f5df2-15.59.0.r267.ge98728c-1
                        sddm-kcm-git5.16.80.r444.g8b8be7e-15.16.80.r445.ge020446-1
                           solid-git5.59.0.r481.gff02d38-15.59.0.r482.gfe1c9c0-1
             syntax-highlighting-git5.59.0.r946.g6864c25-15.59.0.r947.g5c5f3e3-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-06           2019-06-08
-------------------------------------------------------------------------------
                       android-tools          9.0.0_r35-1          9.0.0_r41-1
                             ansible              2.8.0-1              2.8.1-1
                               brial              1.2.4-1              1.2.5-1
                       cabal-install           2.4.0.0-92           2.4.0.0-94
                             certbot             0.34.2-1             0.35.0-1
                      certbot-apache             0.34.2-1             0.35.0-1
              certbot-dns-cloudflare             0.34.2-1             0.35.0-1
                certbot-dns-cloudxns             0.34.2-1             0.35.0-1
            certbot-dns-digitalocean             0.34.2-1             0.35.0-1
                certbot-dns-dnsimple             0.34.2-1             0.35.0-1
             certbot-dns-dnsmadeeasy             0.34.2-1             0.35.0-1
                  certbot-dns-gehirn             0.34.2-1             0.35.0-1
                  certbot-dns-google             0.34.2-1             0.35.0-1
                  certbot-dns-linode             0.34.2-1             0.35.0-1
                  certbot-dns-luadns             0.34.2-1             0.35.0-1
                   certbot-dns-nsone             0.34.2-1             0.35.0-1
                     certbot-dns-ovh             0.34.2-1             0.35.0-1
                 certbot-dns-rfc2136             0.34.2-1             0.35.0-1
                 certbot-dns-route53             0.34.2-1             0.35.0-1
             certbot-dns-sakuracloud             0.34.2-1             0.35.0-1
                       certbot-nginx             0.34.2-1             0.35.0-1
                               cgrep           6.6.25-144           6.6.25-145
                                code             1.34.0-2             1.35.0-2
                             connman               1.37-1               1.37-2
                             cryptol              2.7.0-8              2.7.0-9
                             crystal             0.28.0-1             0.29.0-1
                               darcs            2.14.2-62            2.14.2-64
                             drumkv1              0.9.7-1              0.9.8-1
                              drupal              8.7.2-1              8.7.3-1
                                dune             1.10.0-1             1.10.0-2
                           duplicity           0.7.18.2-1             0.7.19-1
                        fflas-ffpack              2.4.0-1              2.4.1-1
           firefox-developer-edition             68.0b7-1             68.0b8-1
  firefox-developer-edition-i18n-ach             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-af             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-an             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-ar             68.0b7-1             68.0b8-1
  firefox-developer-edition-i18n-ast             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-az             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-be             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-bg             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-bn             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-br             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-bs             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-ca             68.0b7-1             68.0b8-1
  firefox-developer-edition-i18n-cak             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-cs             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-cy             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-da             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-de             68.0b7-1             68.0b8-1
  firefox-developer-edition-i18n-dsb             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-el             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-en-ca             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-en-gb             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-en-us             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-eo             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-es-ar             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-es-cl             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-es-es             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-es-mx             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-et             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-eu             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-fa             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-ff             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-fi             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-fr             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-fy-nl             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-ga-ie             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-gd             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-gl             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-gn             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-gu-in             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-he             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-hi-in             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-hr             68.0b7-1             68.0b8-1
  firefox-developer-edition-i18n-hsb             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-hu             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-hy-am             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-ia             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-id             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-is             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-it             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-ja             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-ka             68.0b7-1             68.0b8-1
  firefox-developer-edition-i18n-kab             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-kk             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-km             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-kn             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-ko             68.0b7-1             68.0b8-1
  firefox-developer-edition-i18n-lij             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-lt             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-lv             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-mk             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-mr             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-ms             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-my             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-nb-no             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-ne-np             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-nl             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-nn-no             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-oc             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-pa-in             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-pl             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-pt-br             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-pt-pt             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-rm             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-ro             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-ru             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-si             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-sk             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-sl             68.0b7-1             68.0b8-1
  firefox-developer-edition-i18n-son             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-sq             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-sr             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-sv-se             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-ta             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-te             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-th             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-tr             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-uk             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-ur             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-uz             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-vi             68.0b7-1             68.0b8-1
   firefox-developer-edition-i18n-xh             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-zh-cn             68.0b7-1             68.0b8-1
firefox-developer-edition-i18n-zh-tw             68.0b7-1             68.0b8-1
  firefox-extension-https-everywhere          2019.5.13-1           2019.6.4-1
              firefox-tree-style-tab             3.0.15-1             3.0.17-1
                            firejail           0.9.58.2-1             0.9.60-1
                    gimp-plugin-gmic              2.6.4-1              2.6.5-1
                           git-annex        7.20190507-21        7.20190507-23
                              gitlab            11.11.0-1            11.11.2-1
                              givaro              4.1.0-1              4.1.1-1
                                gmic              2.6.4-1              2.6.5-1
                                gtkd              3.8.5-3              3.9.0-1
                 haskell-adjunctions               4.4-84               4.4-85
                  haskell-aeson-diff           1.1.0.7-11           1.1.0.7-12
                haskell-authenticate            1.3.4-291            1.3.4-293
          haskell-authenticate-oauth               1.6-89               1.6-90
                         haskell-aws            0.21.1-45            0.21.1-47
              haskell-binary-conduit             1.3.1-38             1.3.1-39
                       haskell-■■■■■              0.46-37              0.46-38
   haskell-bytestring-strict-builder            0.4.5.3-1            0.4.5.3-2
                  haskell-cheapskate           0.1.1.1-53           0.1.1.1-54
                    haskell-checkers              0.5.0-2              0.5.0-3
               haskell-clash-prelude            0.99.3-49            0.99.3-50
                     haskell-concise          0.1.0.1-105          0.1.0.1-106
                     haskell-conduit           1.3.1.1-17           1.3.1.1-18
               haskell-conduit-extra           1.3.1.1-20           1.3.1.1-22
               haskell-contravariant              1.5.1-1              1.5.2-1
        haskell-contravariant-extras             0.3.4-15             0.3.4-16
                   haskell-criterion           1.5.5.0-15           1.5.5.0-17
          haskell-cryptohash-conduit            0.1.1-274            0.1.1-276
          haskell-cryptonite-conduit            0.2.2-168            0.2.2-170
                         haskell-dav             1.3.3-63             1.3.3-65
                        haskell-dbus              1.2.7-8             1.2.7-10
              haskell-deferred-folds           0.9.10.1-5           0.9.10.1-6
                      haskell-either            5.0.1.1-8            5.0.1.1-9
                   haskell-esqueleto              3.0.0-5              3.0.0-7
                  haskell-fdo-notify            0.3.1-168            0.3.1-170
                        haskell-feed            1.1.0.0-2            1.1.0.0-4
                       haskell-foldl             1.4.5-35             1.4.5-36
                        haskell-free             5.1.1-10             5.1.1-11
                     haskell-githash           0.1.3.1-54           0.1.3.1-56
             haskell-haddock-library             1.7.0-48             1.7.0-49
                      haskell-hakyll          4.12.5.2-19          4.12.5.2-21
                       haskell-hasql           1.3.0.3-83           1.3.0.3-84
                  haskell-hasql-pool           0.5.0.2-12           0.5.0.2-13
           haskell-hasql-transaction             0.7.1-30             0.7.1-31
                 haskell-hjsonschema            1.9.0-213            1.9.0-215
                    haskell-hopenpgp           2.7.4.1-71           2.7.4.1-73
                       haskell-hpack            0.31.2-32            0.31.2-34
                   haskell-hspec-wai             0.9.2-33             0.9.2-34
              haskell-hspec-wai-json             0.9.2-40             0.9.2-41
                haskell-html-conduit             1.3.2-43             1.3.2-45
                        haskell-http         4000.3.13-36         4000.3.13-38
                 haskell-http-client             0.6.4-11             0.6.4-12
             haskell-http-client-tls          0.3.5.3-121          0.3.5.3-122
                haskell-http-conduit           2.3.7.1-16           2.3.7.1-18
          haskell-incremental-parser           0.3.2.2-16           0.3.2.2-17
   haskell-insert-ordered-containers              0.2.2-2              0.2.2-3
                   haskell-invariant             0.5.3-10             0.5.3-11
                       haskell-ipynb               0.1-39               0.1-40
                        haskell-jose          0.7.0.0-106          0.7.0.0-107
                   haskell-js-jquery            3.3.1-232            3.3.1-234
              haskell-kan-extensions               5.2-54               5.2-55
                        haskell-keys             3.12.2-9            3.12.2-10
                        haskell-lens            4.17.1-11            4.17.1-12
                  haskell-lens-aeson            1.0.2-147            1.0.2-148
                     haskell-libyaml           0.1.1.0-21           0.1.1.0-22
                    haskell-lrucache            1.2.0.1-5            1.2.0.1-6
                haskell-monad-logger            0.3.30-50            0.3.30-52
            haskell-mono-traversable          1.0.11.0-21          1.0.11.0-22
                    haskell-mustache            2.3.0-193            2.3.0-195
             haskell-optparse-simple           0.1.1.2-23           0.1.1.2-25
                  haskell-persistent             2.9.2-21             2.9.2-23
               haskell-persistent-qq             2.9.1-24             2.9.1-26
           haskell-persistent-sqlite             2.9.3-20             2.9.3-22
         haskell-persistent-template             2.6.0-38             2.6.0-40
                  haskell-pipes-http             1.0.6-30             1.0.6-31
                     haskell-pointed             5.0.1-90             5.0.1-91
           haskell-postgresql-binary          0.12.1.2-45          0.12.1.2-46
                 haskell-profunctors                5.4-7                5.4-8
            haskell-project-template          0.2.0.1-140          0.2.0.1-142
                      haskell-rebase            1.3.1.1-6            1.3.1.1-7
                    haskell-reducers            3.12.3-47            3.12.3-48
                    haskell-rerebase            1.3.1.1-4            1.3.1.1-5
                       haskell-sandi               0.5-23               0.5-24
                         haskell-sbv                8.2-8                8.2-9
               haskell-semigroupoids             5.3.2-20             5.3.2-21
              haskell-servant-server             0.16.1-1             0.16.1-3
             haskell-servant-swagger            1.1.7.1-1            1.1.7.1-2
                       haskell-shake            0.18.2-10            0.18.2-12
             haskell-simple-sendfile            0.2.28-28            0.2.28-30
                       haskell-store            0.5.1.1-3            0.5.1.1-4
           haskell-streaming-commons           0.2.1.0-29            0.2.1.1-1
                    haskell-swagger2           2.3.1.1-37           2.3.1.1-38
           haskell-tagstream-conduit          0.5.5.3-262          0.5.5.3-264
                 haskell-tasty-rerun            1.1.14-17            1.1.14-18
                haskell-text-builder            0.6.5.1-8            0.6.5.1-9
                   haskell-tree-diff                0.1-2                0.1-3
                    haskell-trifecta                 2-41                 2-42
                      haskell-turtle             1.5.14-8             1.5.14-9
            haskell-vector-instances              3.4-124              3.4-125
              haskell-wai-app-static           3.1.6.3-47           3.1.6.3-49
                 haskell-wai-conduit          3.0.0.4-119          3.0.0.4-120
                   haskell-wai-extra             3.0.26-8             3.0.26-9
          haskell-wai-handler-launch          3.0.2.4-169          3.0.2.4-171
                  haskell-wai-logger             2.3.4-38             2.3.4-39
              haskell-wai-websockets           3.0.1.2-83           3.0.1.2-84
                        haskell-warp            3.2.27-18            3.2.27-20
                    haskell-warp-tls             3.2.5-24             3.2.5-26
                  haskell-websockets          0.12.5.3-19          0.12.5.3-20
            haskell-wl-pprint-extras           3.5.0.5-99          3.5.0.5-100
          haskell-wl-pprint-terminfo           3.7.1.4-99          3.7.1.4-100
                        haskell-wreq           0.5.3.2-49           0.5.3.2-51
                      haskell-xcffib             0.8.0-11             0.8.0-12
                 haskell-xml-conduit           1.8.0.1-56           1.8.0.1-58
                  haskell-xml-hamlet            0.5.0-123            0.5.0-125
                        haskell-yaml          0.11.0.0-47          0.11.0.0-48
                       haskell-yesod            1.6.0-272            1.6.0-274
                  haskell-yesod-auth             1.6.6-63             1.6.6-65
                  haskell-yesod-core            1.6.14-29            1.6.14-31
               haskell-yesod-default            1.2.0-527            1.2.0-529
                  haskell-yesod-form             1.6.4-67             1.6.4-69
            haskell-yesod-persistent           1.6.0.2-27           1.6.0.2-29
                haskell-yesod-static          1.6.0.1-124          1.6.0.1-126
                  haskell-yesod-test           1.6.6.1-19           1.6.6.1-21
                           hedgewars            0.9.25-33            0.9.25-34
                             hindent              5.3.0-5              5.3.0-6
                         hledger-api              1.14-60              1.14-62
                          hledger-ui            1.14.2-35            1.14.2-36
                         hledger-web            1.14.1-60            1.14.1-62
                               hlint            2.1.14-38            2.1.14-39
                              hoogle           5.0.17.9-3           5.0.17.9-5
                      hopenpgp-tools            0.21.3-56            0.21.3-58
                         http-parser              2.9.2-1                    -
                               idris             1.3.1-79             1.3.1-81
               intel-compute-runtime        19.21.13045-2        19.22.13062-1
                                jmol           14.29.45-1           14.29.46-1
                                josm              15150-1              15155-1
                               jsmol           14.29.45-1           14.29.46-1
                   jupyterlab_server              0.3.3-1              0.3.4-1
                   krita-plugin-gmic              2.6.4-1              2.6.5-1
                             libgiac           1.5.0.57-1           1.5.0.59-1
                              linbox              1.6.2-1              1.6.3-1
               matrix-appservice-irc             0.11.2-1             0.12.0-1
                              mcomix              1.2.1-4              1.2.1-5
                               minio         2019.05.23-1         2019.06.04-1
                           miniupnpd       2.1.20190210-1       2.1.20190502-1
             nextcloud-app-bookmarks            1:1.0.3-1            1:1.0.5-1
                nextcloud-app-spreed            1:6.0.1-1            1:6.0.2-1
                               opera      60.0.3255.109-1      60.0.3255.151-1
                               osmid              0.6.1-2              0.6.5-1
                    otf-font-awesome              5.8.2-1              5.9.0-1
                             padthv1              0.9.7-1              0.9.8-1
                              pandoc             2.7.2-53             2.7.2-55
                     pandoc-citeproc            0.16.2-50            0.16.2-52
                     pandoc-crossref           0.3.4.1-31           0.3.4.1-33
                 pantheon-calculator              1.5.1-1              1.5.2-1
                      pantheon-files              4.1.7-1              4.1.8-1
                      pantheon-music              5.0.3-1              5.0.4-1
                     pantheon-photos              2.6.2-1              2.6.4-1
                   pantheon-terminal              5.3.3-1              5.3.5-1
                             pcurses                  4-8                  5-1
                      perl-sub-quote           2.005001-1           2.006003-1
                            pgadmin4                4.7-1                4.8-1
                         php-mongodb              1.5.3-5              1.5.4-1
                          phpmyadmin              4.8.5-1            4.9.0.1-1
                           postgrest             5.2.0-88             5.2.0-90
                             puzzles           20171029-1           20190415-1
                         python-acme             0.34.2-1             0.35.0-1
                   python-hypothesis             4.24.1-1             4.24.3-1
                    python-jellyfish              0.7.1-1              0.7.2-1
                    python-qtconsole              4.4.3-1              4.5.1-1
                  python-ruamel-yaml            0.15.96-1            0.15.97-1
                           python-z3              4.8.4-2              4.8.5-1
                 python2-application              2.5.0-1              2.7.0-1
                  python2-hypothesis             4.24.1-1             4.24.3-1
                   python2-qtconsole              4.4.3-1              4.5.1-1
                              qt5pas         2.6.r60525-1         2.6.r61322-1
                          rosegarden              18.12-1              19.06-1
                             samplv1              0.9.7-1              0.9.8-1
                          shellcheck            0.6.0-120            0.6.0-122
                        soapybladerf              0.4.0-1              0.4.0-2
                               stack           1.9.3.1-50           1.9.3.1-52
                             stunnel               5.52-1               5.54-1
                     stylish-haskell           0.9.2.1-36           0.9.2.1-37
                                sway              1.1.1-1              1.1.1-3
          switchboard-plug-bluetooth              2.2.1-1              2.2.2-1
            switchboard-plug-display              2.1.6-1              2.1.8-1
           switchboard-plug-keyboard              2.3.4-1              2.3.5-1
     switchboard-plug-mouse-touchpad              2.1.4-1              2.2.0-1
              switchboard-plug-sound              2.1.3-1              2.2.1-1
      switchboard-plug-user-accounts              2.2.0-1              2.2.1-1
                             synthv1              0.9.7-1              0.9.8-1
                             sysstat             12.1.4-1             12.1.5-1
                      tamarin-prover             1.4.1-82             1.4.1-84
                                tcsh            6.20.00-2            6.21.00-1
                            tigervnc              1.9.0-1              1.9.0-2
                               tilix              1.9.3-1              1.9.3-2
                               tmuxp              1.5.2-1              1.5.3-1
                                 tor            0.3.5.8-1            0.4.0.5-1
                    ttf-font-awesome              5.8.2-1              5.9.0-1
                                 urh              2.6.0-1              2.7.0-1
                             vim-ale              2.4.0-1              2.4.1-1
                                xcas           1.5.0.57-1           1.5.0.59-1
                              xmobar            0.29.5-10            0.29.5-12
                         xsecurelock              1.3.1-1              1.3.3-1
                            yamllint             1.15.0-1             1.16.0-1
                                  z3              4.8.4-2              4.8.5-1
                                zart              2.6.4-1              2.6.5-1
                                zimg                2.8-1                2.9-1
                              adrdox                    -              1.0.0-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-06           2019-06-08
-------------------------------------------------------------------------------
                     manjaro-keyring           20190512-1           20190608-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-06           2019-06-08
-------------------------------------------------------------------------------
                calamares-git 3.2.9.r6022.1af2ee7fa-1 3.2.10.r6042.b2533793c-1
                          xfwm4-gtk3             4.13.2-4             4.13.2-5
                                 vlc                    -              3.0.7-0


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-06           2019-06-08
-------------------------------------------------------------------------------
                             akonadi            19.04.1-1            19.04.2-1
                    akonadi-calendar            19.04.1-1            19.04.2-1
              akonadi-calendar-tools            19.04.1-1            19.04.2-1
                    akonadi-contacts            19.04.1-1            19.04.2-1
               akonadi-import-wizard            19.04.1-1            19.04.2-1
                        akonadi-mime            19.04.1-1            19.04.2-1
                       akonadi-notes            19.04.1-1            19.04.2-1
                      akonadi-search            19.04.1-1            19.04.2-1
                      akonadiconsole            19.04.1-1            19.04.2-1
                           akregator            19.04.1-1            19.04.2-1
                            analitza            19.04.1-1            19.04.2-1
                arch-install-scripts                 21-1                 22-1
                                 ark            19.04.1-1            19.04.2-1
                          artikulate            19.04.1-1            19.04.2-1
                         audiocd-kio            19.04.1-1            19.04.2-1
                       baloo-widgets            19.04.1-1            19.04.2-1
                             blinken            19.04.1-1            19.04.2-1
                              bomber            19.04.1-1            19.04.2-1
                                bovo            19.04.1-1            19.04.2-1
                     calendarsupport            19.04.1-1            19.04.2-1
                              cantor            19.04.1-1            19.04.2-1
                            cervisia            19.04.1-1            19.04.2-1
                               dav1d              0.2.1-1              0.3.0-1
                             dolphin            19.04.1-1            19.04.2-1
                     dolphin-plugins            19.04.1-1            19.04.2-1
                              dragon            19.04.1-1            19.04.2-1
                          eventviews            19.04.1-1            19.04.2-1
                        ffmpegthumbs            19.04.1-1            19.04.2-1
                           filelight            19.04.1-1            19.04.2-1
                            gnumeric            1.12.44-1            1.12.45-1
                             goffice            0.10.44-1            0.10.45-1
                             gphoto2             2.5.20-2             2.5.23-1
                           granatier            19.04.1-1            19.04.2-1
                     grantlee-editor            19.04.1-1            19.04.2-1
                       grantleetheme            19.04.1-1            19.04.2-1
                            gwenview            19.04.1-3            19.04.2-1
                               icewm              1.5.4-1              1.5.5-1
                     incidenceeditor            19.04.1-1            19.04.2-1
                                 juk            19.04.1-1            19.04.2-1
                                 k3b          1:19.04.1-1          1:19.04.2-1
               kaccounts-integration            19.04.1-1            19.04.2-1
                 kaccounts-providers            19.04.1-1            19.04.2-1
                        kaddressbook            19.04.1-1            19.04.2-1
                             kajongg            19.04.1-1            19.04.2-1
                              kalarm            19.04.1-1            19.04.2-1
                           kalarmcal            19.04.1-1            19.04.2-1
                            kalgebra            19.04.1-1            19.04.2-1
                             kalzium            19.04.1-1            19.04.2-1
                              kamera            19.04.1-1            19.04.2-1
                              kamoso            19.04.1-1            19.04.2-1
                            kanagram            19.04.1-1            19.04.2-1
                              kapman            19.04.1-1            19.04.2-1
                        kapptemplate            19.04.1-1            19.04.2-1
                                kate            19.04.1-1            19.04.2-1
                             katomic            19.04.1-1            19.04.2-1
                             kbackup            19.04.1-1            19.04.2-1
                           kblackbox            19.04.1-1            19.04.2-1
                             kblocks            19.04.1-1            19.04.2-1
                               kblog            19.04.1-1            19.04.2-1
                             kbounce            19.04.1-1            19.04.2-1
                           kbreakout            19.04.1-1            19.04.2-1
                              kbruch            19.04.1-1            19.04.2-1
                         kcachegrind            19.04.1-1            19.04.2-1
                  kcachegrind-common            19.04.1-1            19.04.2-1
                               kcalc            19.04.1-1            19.04.2-1
                            kcalcore            19.04.1-1            19.04.2-1
                           kcalutils            19.04.1-1            19.04.2-1
                         kcharselect            19.04.1-1            19.04.2-1
                       kcolorchooser            19.04.1-1            19.04.2-1
                           kcontacts            19.04.1-1            19.04.2-1
                               kcron            19.04.1-1            19.04.2-1
                                kdav            19.04.1-1            19.04.2-1
                     kde-dev-scripts            19.04.1-1            19.04.2-1
                       kde-dev-utils            19.04.1-1            19.04.2-1
                      kdebugsettings            19.04.1-1            19.04.2-1
                         kdeedu-data            19.04.1-1            19.04.2-1
              kdegraphics-mobipocket            19.04.1-1            19.04.2-1
            kdegraphics-thumbnailers            19.04.1-1            19.04.2-1
              kdenetwork-filesharing            19.04.1-1            19.04.2-1
                            kdenlive            19.04.1-1            19.04.2-1
                       kdepim-addons            19.04.1-1            19.04.2-1
                    kdepim-apps-libs            19.04.1-1            19.04.2-1
                      kdepim-runtime            19.04.1-1            19.04.2-1
                    kdesdk-kioslaves            19.04.1-1            19.04.2-1
                 kdesdk-thumbnailers            19.04.1-1            19.04.2-1
                                 kdf            19.04.1-1            19.04.2-1
                             kdialog            19.04.1-1            19.04.2-1
                            kdiamond            19.04.1-1            19.04.2-1
                      keditbookmarks            19.04.1-1            19.04.2-1
                               kfind            19.04.1-1            19.04.2-1
                             kfloppy            19.04.1-1            19.04.2-1
                         kfourinline            19.04.1-1            19.04.2-1
                          kgeography            19.04.1-1            19.04.2-1
                                kget            19.04.1-1            19.04.2-1
                         kgoldrunner            19.04.1-1            19.04.2-1
                                kgpg            19.04.1-1            19.04.2-1
                            khangman            19.04.1-1            19.04.2-1
                         khelpcenter            19.04.1-1            19.04.2-1
                 kidentitymanagement            19.04.1-1            19.04.2-1
                                 kig            19.04.1-1            19.04.2-1
                                kigo            19.04.1-1            19.04.2-1
                            killbots            19.04.1-1            19.04.2-1
                     kimagemapeditor            19.04.1-1            19.04.2-1
                               kimap            19.04.1-1            19.04.2-1
                          kio-extras            19.04.1-1            19.04.2-1
                    kirigami-gallery            19.04.1-1            19.04.2-1
                              kiriki            19.04.1-1            19.04.2-1
                               kiten            19.04.1-1            19.04.2-1
                          kitinerary            19.04.1-2            19.04.2-1
                        kjumpingcube            19.04.1-1            19.04.2-1
                               kldap            19.04.1-1            19.04.2-1
                           kleopatra            19.04.1-1            19.04.2-1
                            klettres            19.04.1-1            19.04.2-1
                            klickety            19.04.1-1            19.04.2-1
                              klines            19.04.1-1            19.04.2-1
                                kmag            19.04.1-1            19.04.2-1
                           kmahjongg            19.04.1-1            19.04.2-1
                               kmail            19.04.1-1            19.04.2-2
                kmail-account-wizard            19.04.1-1            19.04.2-1
                      kmailtransport            19.04.1-1            19.04.2-1
                               kmbox            19.04.1-1            19.04.2-1
                               kmime            19.04.1-1            19.04.2-1
                              kmines            19.04.1-1            19.04.2-1
                                kmix            19.04.1-1            19.04.2-1
                          kmousetool            19.04.1-1            19.04.2-1
                              kmouth            19.04.1-1            19.04.2-1
                              kmplot            19.04.1-1            19.04.2-1
                        knavalbattle            19.04.1-1            19.04.2-1
                            knetwalk            19.04.1-1            19.04.2-1
                             knights            19.04.1-1            19.04.2-1
                              knotes            19.04.1-1            19.04.2-1
                                kolf            19.04.1-1            19.04.2-1
                           kollision            19.04.1-1            19.04.2-1
                         kolourpaint            19.04.1-1            19.04.2-1
                             kompare            19.04.1-1            19.04.2-1
                           konqueror            19.04.1-1            19.04.2-1
                            konquest            19.04.1-1            19.04.2-1
                             konsole            19.04.1-1            19.04.2-1
                             kontact            19.04.1-1            19.04.2-1
                    kontactinterface            19.04.1-1            19.04.2-1
                              kopete            19.04.1-1            19.04.2-1
                          korganizer            19.04.1-1            19.04.2-1
                           kpatience            19.04.1-1            19.04.2-1
                        kpimtextedit            19.04.1-1            19.04.2-1
                             kpkpass            19.04.1-1            19.04.2-1
                      kqtquickcharts            19.04.1-1            19.04.2-1
                                krdc            19.04.1-1            19.04.2-1
                            kreversi            19.04.1-1            19.04.2-1
                                krfb            19.04.1-1            19.04.2-1
                  kross-interpreters            19.04.1-1            19.04.2-1
                              kruler            19.04.1-1            19.04.2-1
                             kshisen            19.04.1-1            19.04.2-1
                               ksirk            19.04.1-1            19.04.2-1
                               ksmtp            19.04.1-1            19.04.2-1
                          ksnakeduel            19.04.1-1            19.04.2-1
                          kspaceduel            19.04.1-1            19.04.2-1
                            ksquares            19.04.1-1            19.04.2-1
                             ksudoku            19.04.1-1            19.04.2-1
                          ksystemlog            19.04.1-1            19.04.2-1
                            kteatime            19.04.1-1            19.04.2-1
                              ktimer            19.04.1-1            19.04.2-1
                               ktnef            19.04.1-1            19.04.2-1
                              ktouch            19.04.1-1            19.04.2-1
                          ktuberling            19.04.1-1            19.04.2-1
                             kturtle            19.04.1-1            19.04.2-1
                             kubrick            19.04.1-1            19.04.2-1
                      kwalletmanager            19.04.1-1            19.04.2-1
                               kwave            19.04.1-1            19.04.2-1
                           kwordquiz            19.04.1-1            19.04.2-1
                              kwrite            19.04.1-1            19.04.2-1
                          libakonadi            19.04.1-1            19.04.2-1
                         libappimage              1.0.1-1              1.0.2-1
                         libgravatar            19.04.1-1            19.04.2-1
                            libkcddb            19.04.1-1            19.04.2-1
                     libkcompactdisc            19.04.1-1            19.04.2-1
                           libkdcraw            19.04.1-1            19.04.2-1
                         libkdegames            19.04.1-1            19.04.2-1
                           libkdepim            19.04.1-1            19.04.2-1
                  libkeduvocdocument            19.04.1-1            19.04.2-1
                           libkexiv2            19.04.1-2            19.04.2-1
                            libkgapi            19.04.1-1            19.04.2-1
                          libkgeomap            19.04.1-1            19.04.2-1
                             libkipi            19.04.1-1            19.04.2-1
                             libkleo            19.04.1-1            19.04.2-1
                        libkmahjongg            19.04.1-1            19.04.2-1
                     libkomparediff2            19.04.1-1            19.04.2-1
                            libksane            19.04.1-1            19.04.2-1
                           libksieve            19.04.1-1            19.04.2-1
                            liblouis              3.9.0-1             3.10.0-1
                          libplacebo              1.7.0-1             1.18.0-1
                   libva-mesa-driver             19.0.5-1             19.0.6-1
                            lokalize            19.04.1-1            19.04.2-1
                               lskat            19.04.1-1            19.04.2-1
                          mailcommon            19.04.1-1            19.04.2-1
                        mailimporter            19.04.1-1            19.04.2-1
                              marble            19.04.1-1            19.04.2-1
                       marble-common            19.04.1-1            19.04.2-1
                           marble-qt            19.04.1-1            19.04.2-1
                       mbox-importer            19.04.1-1            19.04.2-1
                                mesa             19.0.5-1             19.0.6-1
                          mesa-vdpau             19.0.5-1             19.0.6-1
                          messagelib            19.04.1-1            19.04.2-1
                              minuet            19.04.1-1            19.04.2-1
                                 mpd             0.21.9-1            0.21.10-1
                              okular            19.04.1-1            19.04.2-1
                         opencl-mesa             19.0.5-1             19.0.6-1
                            palapeli            19.04.1-1            19.04.2-1
                              parley            19.04.1-1            19.04.2-1
                               picmi            19.04.1-1            19.04.2-1
                   pim-data-exporter            19.04.1-1            19.04.2-1
                    pim-sieve-editor            19.04.1-1            19.04.2-1
                           pimcommon            19.04.1-1            19.04.2-1
                               poxml            19.04.1-1            19.04.2-1
                       print-manager            19.04.1-1            19.04.2-1
                            pstoedit               3.73-1               3.74-1
               publicsuffix-list 20180420.677.81bcd19-1 20190531.806.6f03f42-1
                         python-mako             1.0.11-1             1.0.12-1
                      python-twisted             19.2.0-1             19.2.1-1
                        python2-mako             1.0.11-1             1.0.12-1
                     python2-twisted             19.2.0-1             19.2.1-1
                         qcachegrind            19.04.1-1            19.04.2-1
                                rocs            19.04.1-1            19.04.2-1
            signon-kwallet-extension            19.04.1-1            19.04.2-1
                           spectacle            19.04.1-1            19.04.2-1
                                step            19.04.1-1            19.04.2-1
                             svgpart            19.04.1-1            19.04.2-1
                             sweeper            19.04.1-1            19.04.2-1
          telepathy-kde-accounts-kcm            19.04.1-1            19.04.2-1
              telepathy-kde-approver            19.04.1-1            19.04.2-1
          telepathy-kde-auth-handler            19.04.1-1            19.04.2-1
               telepathy-kde-call-ui            19.04.1-1            19.04.2-1
      telepathy-kde-common-internals            19.04.1-1            19.04.2-1
          telepathy-kde-contact-list            19.04.1-1            19.04.2-1
        telepathy-kde-contact-runner            19.04.1-1            19.04.2-1
       telepathy-kde-desktop-applets            19.04.1-1            19.04.2-1
  telepathy-kde-filetransfer-handler            19.04.1-1            19.04.2-1
    telepathy-kde-integration-module            19.04.1-1            19.04.2-1
             telepathy-kde-send-file            19.04.1-1            19.04.2-1
               telepathy-kde-text-ui            19.04.1-1            19.04.2-1
                            umbrello            19.04.1-1            19.04.2-1
                                 vlc             3.0.6-12             3.0.6-13
                        vulkan-intel             19.0.5-1             19.0.6-1
                       vulkan-radeon             19.0.5-1             19.0.6-1
                        zabbix-agent              4.2.1-1              4.2.2-1
                 zabbix-frontend-php              4.2.1-1              4.2.2-1
                        zabbix-proxy              4.2.1-1              4.2.2-1
                       zabbix-server              4.2.1-1              4.2.2-1
                    zeroconf-ioslave            19.04.1-1            19.04.2-1
                         http-parser                    -              2.9.2-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-06-06           2019-06-08
-------------------------------------------------------------------------------
             lib32-libva-mesa-driver             19.0.5-1             19.0.6-1
                          lib32-mesa             19.0.5-1             19.0.6-1
                    lib32-mesa-vdpau             19.0.5-1             19.0.6-1
                  lib32-vulkan-intel             19.0.5-1             19.0.6-1
                 lib32-vulkan-radeon             19.0.5-1             19.0.6-1
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

7 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed

Issues with Octopi

Currently several users report different issues for Octopi. So if you encounter some of them, you may switch to pamac for now: sudo pacman -Sy pamac

Small cleanup of Manjaro official repositories

Please note that the following packages got removed from our repositories.

  • chromium-chromevox
  • gimp-gtk3
  • pamac-classic
  • pamac-dev
  • pamac-dev-tray-appindicator

ZFS 0.8 fails to import ZFS pool during boot

As noted for testing update 2019-05-29, it can be permanently fixed
by removing and re-adding the pool's cachefile :

zpool set cachefile=none <name of your pool>
zpool set cachefile=/etc/zfs/zpool.cache <name of your pool>

More details in [Testing Update] 2019-05-29 - Kernels, XFCE, Deepin, Mesa, Nvidia, KDE-Dev (search for 'ZFS' there)


Items from previous update sets

Gnome 3.32: Two extensions removed from our repos.

We have dropped two packages that shipped additional extensions for Gnome: gnome-shell-extensions-topicons-plus-huttli and gnome-shell-extensions-taskbar. We won't maintain Topicons Plus and Taskbar anymore.

Those extensions are not in active development anymore and may not work properly (or not work at all) on Gnome 3.32. Notably, it has been reported that using Topicons Plus on Gnome 3.32 may leads to very high CPU usage.

We strongly recommend you to disable those extensions if they are enabled (Tweaks > Extensions) and remove those packages with your favorite package manager. To prevent potential problems with the next version of Gnome, you may do those steps (or at least the first one) before upgrading your system.

Gnome 3.32: Various problems

There is currently several problems with Gnome 3.32. Here is what we know so far.

1. Possibility of broken extensions
Broken extensions is something to expect when transitioning between major versions of Gnome, especially if you are using extensions that are not shipped by default on Manjaro Gnome. If you have a broken extension taken from somewhere else than Manjaro official repositories, you will have to contact the maintainer on the source you have taken the extension from to get more support. You may also want to report the problem to the developer(s) of the extension (if not the same person/group).

It is possible that extensions become so broken on Gnome 3.32 that it makes Gnome Shell crash completely when trying to log in, thus making Gnome completely unusable. For example, we have a report of such issue with a third-party extension (that doesn't come from Manjaro's official repositories) called Extensions.

To decrease the risk of breakage (especially if running Gnome extensions that does not come from Manjaro official repositories) and make the upgrade smoother, you can disable all Gnome extensions (Tweaks > Extensions) before upgrading your system, then enable them one by one only after being logged in a completely new session on Gnome 3.32.

2. Using world clocks can break Gnome Shell completely
If you have configured world clocks in Gnome, it may make Gnome Shell segfaults and crashes when trying to log in for a graphical session, making Gnome unusable. If it happens, you will need to reset your parameters for world clocks with the following command (do it in TTY): dbus-launch gsettings reset org.gnome.clocks world-clocks.
See this Arch Linux thread and this ticket from upstream.

3. Gnome Shell may crash completely when resuming from sleep if you use Wayland
If you are using Wayland (instead of X.org), Gnome Shell may crash when resuming from sleep. Upstream is aware of this issue. As a workaround, you may use X.org instead of Wayland for now.

4. Miscellaneous
Some programs don't get focused after being launched. Reported to upstream and confirmed for distributions other than Manjaro too.


Yaourt: Rest in peace

Yaourt has been removed from our repositories completely. We won't maintain the yaourt package anymore, which means that you will not receive any updates from us for this package. A very old package named yaourt-gui-manjaro has been removed at the same time too.

If you are still using Yaourt, we strongly encourage you to switch to an alternative like Pamac CLI (package: pamac-cli), Trizen (package: trizen), Yay (package: yay) or Pacaur (package: pacaur); and uninstall Yaourt from your system.

In addition to that, we have dropped support for several packages that depended on yaourt: allservers, pacli and pacli-jwm. Those packages has been removed from the official repositories completely.


vlc-nightly has been dropped

The vlc-nightly package, which was really useful in a time when VLC 3 was not officially out yet, has been dropped on our side and is not in the official repositories anymore. If you still have this package and you want the latest stable version of VLC media player, remove vlc-nightly, then install the vlc package.

Otherwise, you can continue to use vlc-nightly from the AUR (but you'll have to compile it yourself).

Kodi 18.1: extensions may not work properly.

Kodi 18.1 is now available in our repositories. Since this is a major version change, extensions for Kodi (if you use some) may stop working properly. Developers of those extensions will need to make them compatible with Kodi 18.

If Kodi 18.1 doesn't work properly for you and you absolutely need to use your extensions, you may use the old kodi package in /var/cache/pacman/pkg in order to downgrade Kodi to version 17.6. Please note that it is a temporary workaround and that the software provided in the old kodi package may stop working properly in the future too. You should not keep the downgrade forever.

Notifications looking weird in XFCE

Since the package dunst includes now dunstfy in the main package notifications may not displayed properly in XFCE. Please uninstall that package to solve that issue. Normally not needed in that edition.

Plasma will not reboot from the Application Launcher

If you update from within Plasma (e.g. from the konsole), you may need to issue a systemctl reboot to reboot.

I can't open Nemo with elevated privileges (as root)

Workaround found: Use the dbus-x11 package instead of the regular dbus package. This package is available in the official repositories and provides dbus compiled without the --without-x option.

To replace dbus with dbus-x11 package, simply install dbus-x11 with your favorite package manager: dbus will be replaced by dbus-x11.


Pamac: "Failed to commit transaction - Transaction not prepared" at the end

So far, it has only been a false alarm: updates are applied successfully.


AMD-Ucode introduction

Unless you've already done this previously, All users of AMD-APUs/CPUs should install this update like this:

sudo pacman -Syyu
sudo pacman -S amd-ucode
sudo pacman -R intel-ucode
sudo update-grub

Step 3 is optional.


Rebuilding fontconfig cache: failed to write cache

Please ignore this message. Upstream already works on a solution. More about the issue here.


LibreOffice has no window decoration in KDE

New line export SAL_USE_VCLPLUGIN=gtk3_kde5, once merged into existing /etc/profile.d/libreoffice-fresh.sh , fixes a moderately longterm issue. If it doesn't work for you, you may use gtk instead of gtk3_kde5 as UI framework.


Installing glibc (2.28-4) breaks the dependency “glibc=2.27” required by lib32-glibc

Install the update either:

  • from terminal: sudo pacman -Syu or;
  • with Octopi instead of Pamac.

Something using Perl/Python/glibc broke

Rebuilds needed!

  • If it's an AUR package, try to reinstall it from AUR. It most likely needs to be rebuilt.
  • If it's a repo package, please report and check back regularly for updates.

I've lost a Thunderbird addon/feature

Thunderbird 60 disables incompatible addons by default. There's an about:config switch should you want to force-enable the addon, but many addons simply will not work with the newer Quantum-based Thunderbird.

Read more about Thunderbird 60 here: Thunderbird 60


Firefox - WebGL not working anymore

You may try the following solution:

Open about:config and set security.sandbox.content.read_path_whitelist to /sys/.


libutf8proc>=2.1.1-3 update may require manual intervention

This should normally be automatically fixed via manjaro-system update.

The libutf8proc package prior to version 2.1.1-3 had an incorrect soname link. This has been fixed in 2.1.1-3, so the upgrade will need to overwrite the untracked soname link created by ldconfig. If you get an error

libutf8proc: /usr/lib/libutf8proc.so.2 exists in filesystem

when updating, use


pacman -Suy --overwrite usr/lib/libutf8proc.so.2

to perform the upgrade.


Pamac: "Invalid or corrupted package."

If you receive an "Invalid or corrupted package." error message with Pamac and if the details contains an output similar to the following:

Details
Synchronizing package databases...
Starting full system upgrade...

Preparing...
Resolving dependencies...
Checking inter-conflicts...
Downloading...
Downloading manjaro-system-20180716-1-any.pkg.tar.xz...
Checking keyring...
Checking integrity...
Loading packages files...
Checking file conflicts...
Checking available disk space...
Upgrading manjaro-system (20180702-1 -> 20180716-1)...
==> Fix libutf8proc upgrade ...
resolving dependencies...
looking for conflicting packages...

Packages (1) libutf8proc-2.1.1-4

Total Download Size:   0.05 MiB
Total Installed Size:  0.32 MiB
Net Upgrade Size:      0.00 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
downloading libutf8proc-2.1.1-4-x86_64.pkg.tar.xz...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
checking available disk space...
:: Processing package changes...
upgrading libutf8proc...
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...
Running post-transaction hooks...
Arming ConditionNeedsUpdate...
Warning: lock file missing /var/lib/pacman/db.lck
Starting full system upgrade...
Resolving dependencies...
Checking inter-conflicts...
Error: could not open file /var/lib/pacman/local/libutf8proc-2.1.1-2/files: No such file or directory
Warning: could not fully load metadata for package libutf8proc-2.1.1-2

Failed to prepare transaction:
invalid or corrupted package

Try the following steps: close Pamac window first, then launch it again and start the update procedure again. It should continue from where it left off.


Issues with folder view widget in KDE v5.13

KDE introduced a new setting for icon sizes. Now you're able to define also the size for your panel. If you have a high-DPI display, you may want to increase the value. This will fix the display issue with given widget.

icon-kde-513

Pulseaudio changes

With this update we have a /etc/pulse/default.pa.pacnew. It may be necessary to merge (some lines related to “GSettings” in /etc/pulse/default.pa ) if 'default.pa' has been customised.

File conflict engrampa.tap

thunar-archive-plugin: /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)

thunar-archive-plugin has added native support for the Engrampa archive manager. engrampa-thunar-plugin is no longer needed. Remove engrampa-thunar-plugin to continue with the update.

Hmm, curious message on update.

Output

:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

Packages (5) lib32-mesa-19.0.6-1 liblouis-3.10.0-1 libplacebo-1.18.0-1
mesa-19.0.6-1 vlc-3.0.7-0

Total Download Size: 37.79 MiB
Total Installed Size: 164.17 MiB
Net Upgrade Size: 1.83 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
mesa-19.0.6-1-x86_64 12.4 MiB 2.12M/s 00:06 [######################] 100%
liblouis-3.10.0-1-x... 1864.2 KiB 1519K/s 00:01 [######################] 100%
libplacebo-1.18.0-1... 171.7 KiB 6.21M/s 00:00 [######################] 100%
vlc-3.0.7-0-x86_64 10.7 MiB 1730K/s 00:06 [######################] 100%
lib32-mesa-19.0.6-1... 12.6 MiB 1699K/s 00:08 [######################] 100%
(5/5) checking keys in keyring [######################] 100%
(5/5) checking package integrity [######################] 100%
(5/5) loading package files [######################] 100%
(5/5) checking for file conflicts [######################] 100%
(5/5) checking available disk space [######################] 100%
:: Processing package changes...
(1/5) upgrading mesa [######################] 100%
(2/5) upgrading lib32-mesa [######################] 100%
(3/5) upgrading liblouis [######################] 100%
(4/5) upgrading libplacebo [######################] 100%
(5/5) upgrading vlc [######################] 100%
:: Running post-transaction hooks...
(1/6) Updating icon theme caches...
(2/6) Checking for orphaned packages...
Orphan packages found:
libplacebo

I don't know/remember what libplacebo used to be a dependency of (perhaps vlc). Can someone confirm that this is indeed no longer needed.

Okay, to answer my own question after a bit of archive diving, yes that was it. Just found it strange to have a package updated and orphaned in the same set. :man_shrugging:

1 Like

Will linux50 and linux420 be removed in the next stable update?

Upgrade went well on my side - KDE, LUKS encrypted /home, kernel 4.19. Additionally, octopi works without issues on my system and login to my personal phpmyadmin web site was also ok.

no , in some case , it may be reuse for linux-rt
but you can remove yourself
keep always 4.14 , 4.19 lts and 5.1

1 Like

Some orphans on an older installation:

Packages (4) glslang-7.11.3214-1  shaderc-2018.0-3  spirv-tools-2018.5-1  libplacebo-1.18.0-1
1 Like

i have a trouble on time boot & screen login

sudo systemd-analyze blame
          6.388s systemd-journal-flush.service
          3.434s dev-sda2.device
          2.124s systemd-modules-load.service
          1.915s systemd-hwdb-update.service
          1.357s systemd-logind.service
          1.117s accounts-daemon.service
           922ms systemd-udevd.service
           915ms polkit.service
           818ms NetworkManager.service
           775ms ldconfig.service
           636ms systemd-fsck@dev-disk-by\x2duuid-E05B\x2d8683.service
           594ms lightdm.service
           547ms grub-boot-indeterminate.service
           525ms lm_sensors.service
           508ms avahi-daemon.service
           500ms systemd-fsck@dev-disk-by\x2duuid-c581e25d\x2d4ea8\x2d4cde\x2d81eb\x2d7a59ed47ed9d.service
           494ms systemd-tmpfiles-setup-dev.service
           472ms systemd-fsck@dev-disk-by\x2duuid-05923b1e\x2ddbe7\x2d4d73\x2d9440\x2d2c067e027f1a.service
           434ms udisks2.service
           408ms alsa-restore.service
           307ms systemd-sysusers.service
           183ms systemd-journald.service
            87ms systemd-tmpfiles-setup.service
            80ms systemd-udev-trigger.service
            78ms boot-efi.mount
            68ms home.mount
            67ms user@1000.service
            62ms ntpd.service
            59ms systemd-sysctl.service
            49ms systemd-journal-catalog-update.service
            46ms systemd-random-seed.service
            38ms kmod-static-nodes.service
            34ms rtkit-daemon.service
            27ms user-runtime-dir@1000.service
            18ms sauvegarde.mount
            18ms systemd-user-sessions.service
            16ms dev-hugepages.mount
            15ms systemd-update-done.service
            13ms systemd-update-utmp.service
             8ms systemd-remount-fs.service
             8ms dev-mqueue.mount
             6ms sys-kernel-config.mount
             5ms tmp.mount
             4ms sys-kernel-debug.mount
             4ms sys-fs-fuse-connections.mount

sudo systemd-analyze critical-chain

The time when unit became active or started is printed after the "@" character.
The time the unit took to start is printed after the "+" character.

graphical.target @8.906s
└─lightdm.service @8.311s +594ms
  └─systemd-user-sessions.service @8.292s +18ms
    └─network.target @8.289s
      └─NetworkManager.service @7.471s +818ms
        └─dbus.service @7.463s
          └─basic.target @7.441s
            └─paths.target @7.441s
              └─org.cups.cupsd.path @7.440s
                └─sysinit.target @7.423s
                  └─systemd-update-done.service @7.407s +15ms
                    └─systemd-journal-catalog-update.service @7.356s +49ms
                      └─systemd-tmpfiles-setup.service @7.266s +87ms
                        └─systemd-journal-flush.service @875ms +6.388s
                          └─systemd-journald.service @691ms +183ms
                            └─systemd-journald.socket @685ms
                              └─system.slice @564ms
                                └─-.slice @564ms

"mpv" needs this packages.

What is the command to use to get orphans? I once used "yaourt -C".

  • Ok.: "pamac list -o".

Updated successfully.:+1:
LXQT with Kernel 5.1.
Thanks!

I use:

$ sudo pacman -Rsn $(pacman -Qqdt)

to quietly list my orphans and then clean them up along with their config files.
P.S. Don't worry, you will get a confirmation dialogue.

2 Likes

depencies missing for libplacebo ( appears as orphan )

1 Like

Cinnamon, using terminal, 5.1 no issues
Xfce, using terminal, 5.1 no issues.

I couldn't find a clear answer as to whether I needed libplacebo or not so I uninstalled it. Even though I use VLC I haven't noticed any gross ill effects. Is libplacebo only used for vulkan and/or mpv?

The previous version of VLC (3.0.6-12) had libplacebo as a dependency but 3.0.7-0 does not. AFAIK neither mpv nor vulkan currently need it, but they may well have previously.

For VLC, Arch Linux changed the build option from --enable-libplacebo to --disable-libplacebo. But the dependency only get commented, not removed entirely, so it might just come back later.

https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/vlc
https://git.archlinux.org/svntogit/packages.git/commit/trunk/PKGBUILD?h=packages/vlc&id=b726710615534bb32b484ae5a5b342eb24b96040

The reason given for VLC is the following.

deactivate libplacebo for now as latest version is incompatible with vlc.

So the lastest version of libplacebo (1.18.0) is not compatible with VLC currently according to the maintainer, and it might be the case with other software that used to depend on it too (if there were any). That might explain why it has become an orphan package for many of us.

Also, currently, no package on Arch Linux depends on libplacebo according to their website.
https://www.archlinux.org/packages/extra/x86_64/libplacebo/

Nothing need libplacebo on Manjaro Testing too according to pacman -Sii libplacebo.

So there should not be any problem with removing libplacebo package. If it becomes needed again later, it will simply be redownloaded and reinstalled in the future.

4 Likes